# Uses of Class
org.apache.lucene.search.suggest.document.TopSuggestDocs.SuggestScoreDoc

Packages that use TopSuggestDocs.SuggestScoreDoc
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

- ## Uses of TopSuggestDocs.SuggestScoreDoc in org.apache.lucene.search.suggest.document

  Methods in org.apache.lucene.search.suggest.document that return TopSuggestDocs.SuggestScoreDoc
  Modifier and Type
  Method
  Description
  `TopSuggestDocs.SuggestScoreDoc[]`
  TopSuggestDocs.`scoreLookupDocs()`
  Returns `TopSuggestDocs.SuggestScoreDoc`s for this instance
  Methods in org.apache.lucene.search.suggest.document with parameters of type TopSuggestDocs.SuggestScoreDoc
  Modifier and Type
  Method
  Description
  `int`
  TopSuggestDocs.SuggestScoreDoc.`compareTo(TopSuggestDocs.SuggestScoreDoc o)`
  Constructors in org.apache.lucene.search.suggest.document with parameters of type TopSuggestDocs.SuggestScoreDoc
  Modifier
  Constructor
  Description
  ``
  `TopSuggestDocs(TotalHits totalHits, TopSuggestDocs.SuggestScoreDoc[] scoreDocs)`
  `TopDocs` wrapper with `TopSuggestDocs.SuggestScoreDoc` instead of `ScoreDoc`